﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Xamarin.Forms.Internals;

namespace Popup_Demo
{
    public partial class MainPage : ContentPage
    {
        SfPopupLayout popupAlert;
        public MainPage()
        {   
            InitializeComponent();
        }
        protected override void OnAppearing()
        {
            base.OnAppearing();
            this.Content = popupAlert;
            DisplayAlert("HeaderTitle", "btnAccept");
        }
        public async Task DisplayAlert(string title, string btnAccept)
        {
            if (popupAlert != null)
                popupAlert.IsOpen = false;
            popupAlert = new SfPopupLayout();
            if (string.IsNullOrEmpty(title))
                popupAlert.PopupView.ShowHeader = false;

            popupAlert.PopupView.PopupStyle.AcceptButtonTextColor = Color.FromHex("#3F51B5");

            popupAlert.StaysOpen = true;
            popupAlert.PopupView.ShowCloseButton = false;
            popupAlert.PopupView.AnimationMode = AnimationMode.None;
            popupAlert.PopupView.AutoSizeMode = AutoSizeMode.Height;
            popupAlert.PopupView.HeaderTitle = title;
            popupAlert.PopupView.AcceptButtonText = "    " + btnAccept + "    ";
            DataTemplate template = new DataTemplate(() =>
            {
                Label label = new Label();
                label.Text = "ContentView";
                return label;
            });
            popupAlert.PopupView.ContentTemplate = template;
            popupAlert.IsOpen = true;
            while (popupAlert.IsOpen)
            {
                await Task.Delay(100);
            }
           // this.Content = popupAlert;
        }
    }
}






































